<bugID>720240<Summary>"Enable inline autocomplete again, but make it smarter" actually made it dumber</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; rv:12.0a1) Gecko/20120122 Firefox/12.0a1
Build ID: 20120122031050

Steps to reproduce:

Bug "Enable inline autocomplete again, but make it smarter" - https://bugzilla.mozilla.org/show_bug.cgi?id=566489 - has actually made the Awesomebar much, much dumber.

Example: I type 'news' in the Awesomebar

1. before bug 566489 this would have given me http://www.guardian.co.uk/ (because it matches on "Latest *news*, sport and comment from the Guardian") as first result because I've visited that URL over 500 times

2. after bug 566489 I am offered http://newsandstar.co.uk/ which I have visited ZERO times (but have visited a page on that domain ONCE)

This is a regression in usability for me. Before I could just type and enter. Now I must type, focus on Awesomebar, choose URL, cursor and enter.

NOTE: I use https://addons.mozilla.org/en-Us/firefox/addon/enter-selects/ which gave me perfect functionality before 566489 - just type and enter. This should be default behaviour IMO.</Description></bugID>